PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

January 10, 2011 // 9:37 am - Update: This method ended up failing because the LV2 address range is protected by Sony on PS3 with Firmware v3.55, so Netkas and flukes1 are now working on a patch for LV1 instead.

Today Netkas and flukes1 have successfully managed to patch the PS3 lv2_kernel in v3.55 Firmware to allow peek and poke syscalls, meaning PlayStation 3 backup managers and Custom Firmware (CFW) will also be able to make use of them!

Download: PS3 3.55 LV2 Kernel Patched with Peek/Poke / PS3 3.55 Custom Firmware with Peek/Poke / 3.55 Peek-n-Poke Patcher GUI and 3.55 Peek-n-Poke Patcher GUI v2 by Quakes69

From the ReadMe file:Patch to add peek and poke syscalls to PS3 firmware v3.55 by flukes1 and netkas ( #ps3test)

To create the patched PS3UPDAT.PUP:

1. Use bspatch to apply PS3UPDAT.PUP.bsdiff to Sony's official 3.55 PUP, which is available from their website.
2. Run this from command line: "bspatch PS3UPDAT.PUP PS3UPDAT-NEW.PUP PS3UPDAT.PUP.bsdiff"
2. Ensure that the md5sum of the resulting PS3UPDAT.PUP is: 337831fac6a9b05074f73710c4bb7c86

Simply install the patched PS3UPDAT.PUP onto your PS3, then install geohot's jailbreak.

Our PUP can be installed over any firmware version, including 3.55-geohot. If you install over 3.55-geohot, you must reinstall geohot's jailbreak afterwards.

For developers: peek is syscall 6, poke is syscall 7 (same as PL3 dev payload)

Props to mastag22, lastExile, Killer_In - our testers with balls of steel.


- flukes1, netkas

PS3 LV2 Kernel Peek / Poke Patched, Backup Managers and CFW!

PS3 LV2 Kernel Peek / Poke Patched, Backup Managers and CFW!

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.

#15 - FMAranda - January 10, 2011 // 12:35 pm
FMAranda's Avatar
Simple, if you use some game manager (Open Manager, multiMAN, GAIA, ...) to play your games, do not update to this .pup or any other fw that is not the 3.41.

The 3.55 is "new" to jailbreak, you can't load backups with it, only homebrews which does not need specials syscalls that are only available with the use of some payload (like PL3 or Hermes).

#14 - R3b0rn - January 10, 2011 // 12:29 pm
R3b0rn's Avatar
Oh common, the things we did with the first PSgroove rls and then the peek/poke syscalls. Then came Hermes and PL3 they all at one point had peek/poke so this is no different then running a old Jailbreak hex on ur dongle...

Besides, just having peek/poke ability doesnt brick your console unless u start tinkering with it, cuz todays backupmanagers doesnt peek or poke anymore...

#13 - FMAranda - January 10, 2011 // 12:25 pm
FMAranda's Avatar
There is nothing dangerous with this .pup, the difference is that it has its lv2 patched to enable peek and poke syscalls, that's it, it will not explode your console. You WILL need to use it if you want to play your backups in the future.

#12 - lordfenixnc - January 10, 2011 // 12:23 pm
lordfenixnc's Avatar
Nice job. I look forward to seeing a cfw with everything ready for open manager with back up support.

#11 - atlask2 - January 10, 2011 // 12:10 pm
atlask2's Avatar
i prefer dont try this pup , it's too dangerous ! I'll test the pkg signed method.

#10 - FMAranda - January 10, 2011 // 11:37 am
FMAranda's Avatar
I never had any issues with PL3.

#9 - clouduzz - January 10, 2011 // 11:33 am
clouduzz's Avatar
I know PL3 is supposed to be cleaner code or whatever but how does it compare to hermes 4b? Last time I tried Pl3 (when first released) a lot of my games wouldn't work so I went back to Hermes.

#8 - mattaggz - January 10, 2011 // 11:19 am
mattaggz's Avatar
I don't understand this release, Geohot in his video from last week he says OMG don't patch lv2 you'll brick your console. Either that was a hint at what to do to get backups launched, or this at some point will brick your console.

#7 - skotosa - January 10, 2011 // 11:04 am
skotosa's Avatar
Guys I updated from 3.41 straight to the patched CFW 3.55?

Am I ok or was I supposed to update to the Official 3.55 first?

PS3 seems fine it recognized as 3.55

#6 - Fr33m4n - January 10, 2011 // 10:55 am
Fr33m4n's Avatar
I'm going to wait a little while before I jump on this. The original jb payloads did not include peek/poke. My guess is that after devs get a handle on 3.55 there will be a new CFW with only the needed syscalls added and not peek/poke.